/*
 * a.lp_mp3 - Open Source Atmel AVR based MP3 Player
 * Copyright (c) 2003-2004 K. John '2B|!2B' Crispin
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 *
 * Feedback, Bugs.... mail john{AT}phrozen.org
 *
 */ 
 
 
// setup USART for serial communications
// for 8mhz internal resonator at 3,3v
//USART_init(204);//USART_BAUD(2400));
//USART_init(101);//USART_BAUD(4800));
//USART_init(50);//USART_BAUD(9600));
//USART_init(24);//USART_BAUD(19200));
//USART_init(11);//USART_BAUD(38400));
//USART_init(7);//USART_BAUD(57600));
	 
 
 
#ifndef _JC_USART_H__
#define _JC_USART_H__
#include "types.h"

void USART_init(unsigned char baudrate);
void USART_send (unsigned char data);

void USART_sendpgmstring (u08 id, u08 c);
void USART_sendstring (unsigned char *str, unsigned char c);
void USART_send_mem(unsigned char* data, u16 length);
void USART_sendspaces(u08 data);

void USART_sendint(u16 data);
void USART_sendhex(unsigned char data);
void USART_sendhex_16(u16 data);

void USART_clear_screen(void);
void USART_newline(void);

#endif

